> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /tag/:uid/experiment/compare

> Takes a list of configs, and returns the differences between them. Used before creating an experiment to confirm the bahavioural subject(s) that the experiment will be testing



## OpenAPI

````yaml /openapi.json get /v1/tag/{uid}/experiment/compare
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/tag/{uid}/experiment/compare:
    get:
      tags:
        - Publisher/Experiment
        - public
      summary: /tag/:uid/experiment/compare
      description: >-
        Takes a list of configs, and returns the differences between them. Used
        before creating an experiment to confirm the bahavioural subject(s) that
        the experiment will be testing
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
        - name: config_ids
          in: query
          description: Comma separated list of config ID's
          required: true
          schema:
            type: string
            default: <string>
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        config_id:
                          type: integer
                        real_allocation:
                          type: integer
                        allocation:
                          type: string
                        unit:
                          type: string
                        label:
                          type: string
                          nullable: true
                        status:
                          type: integer
                        config:
                          type: object
                          properties: {}
                      required:
                        - config_id
                        - real_allocation
                        - allocation
                        - unit
                        - label
                        - status
                        - config
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - config_id: 8390
                    real_allocation: 0
                    allocation: n/a
                    unit: iab
                    label: MPU 2
                    status: 1
                    config:
                      In View: true
                  - config_id: 8391
                    real_allocation: 0
                    allocation: n/a
                    unit: iab
                    label: MPU 2 (OOV)
                    status: 0
                    config:
                      In View: false
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````